Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.content
Interface IDrillThroughAction

    public interface IDrillThroughAction

Providers interface for the action process of drill through.

Drill through is a term of actions that explorer elements like bookmark between two reports. Generally, via a drill through, we will get a movement from some element in source report to element in target report. The class `IDrillThroughAction` indicates this action.

Method Summary
`java.lang.String` | `getBookmark()` Get the bookmark.
`java.lang.String` | `getFormat()` Get the format of the target report if the action type is drillthrough.
`java.util.Map` | `getParameterBindings()` Get a set of name/value pairs for running the target report in a drillthrough link.
`java.lang.String` | `getReportName()` Get the target report name if the action type is drillthrough which is predefined.
`java.util.Map` | `getSearchCriteria()` Get a set of name/value pairs for searching the target report in a drillthrough link.
`java.lang.String` | `getTargetFileType()` Get the type of the target file.
`java.lang.String` | `getTargetWindow()` Get the target window.
`boolean` | `isBookmark()` Return the bookmark type set in the drillthrough action.
`void` | `setBookmark(java.lang.String bookmark)` Set the bookmark type of this drillthrough action.
`void` | `setBookmarkType(boolean isBookmark)` Set the type of bookmark.
`void` | `setFormat(java.lang.String format)` set the format of the output report.
`void` | `setParameterBindings(java.util.Map parameterBindings)` Set a set of name/value pairs for running the target report in a drillthrough link.
`void` | `setReportName(java.lang.String reportName)` Set the target report name if the action type is drillthrough which is predefined.
`void` | `setSearchCriteria(java.util.Map searchCriteria)` Set a set of name/value pairs for searching the target report in a drillthrough link.
`void` | `setTargetFileType(java.lang.String targetFileType)` Sets the type of target report file for a drill-through action.
`void` | `setTargetWindow(java.lang.String target)` Set the target window in string format.

Method Detail

### getReportName

    java.lang.String getReportName()

  Get the target report name if the action type is drillthrough which is predefined.

  Returns:
    the report name.

### setReportName

    void setReportName(java.lang.String reportName)

  Set the target report name if the action type is drillthrough which is predefined.

  Parameters:
    `reportName` - the report name

### getParameterBindings

    java.util.Map getParameterBindings()

  Get a set of name/value pairs for running the target report in a drillthrough link.

  Returns:
    a set of name/value pairs for running the target report in a drillthrough link.

### getSearchCriteria

    java.util.Map getSearchCriteria()

  Get a set of name/value pairs for searching the target report in a drillthrough link.

  Returns:
    a set of name/value pairs for searching the target report in a drillthrough link.

### getFormat

    java.lang.String getFormat()

  Get the format of the target report if the action type is drillthrough. This format is used for building the URL when explorer between reports, running the target report and related process.

  Returns:
    the format of output report if action type is drillthrough.

### isBookmark

    boolean isBookmark()

  Return the bookmark type set in the drillthrough action. The return result indicated the target element is a toc or not.

  Returns:
    `true`, the target element is a bookmark. `false`, the target element is indicated to be a toc.

### setBookmark

    void setBookmark(java.lang.String bookmark)

  Set the bookmark type of this drillthrough action.

  Parameters:
    `bookmark` - `true`, the target element is a bookmark. or `false`, the target element is indicated to be a toc.

### getBookmark

    java.lang.String getBookmark()

  Get the bookmark.

  Returns:
    the bookmark string if the bookmark type is Bookmark and action type is drillthrough. Return `null` if the bookmark type is TOC and action type is drillthrough.

### getTargetWindow

    java.lang.String getTargetWindow()

  Get the target window.

  Returns:
    the targetWindow string if action type is drillthrough.

### setBookmarkType

    void setBookmarkType(boolean isBookmark)

  Set the type of bookmark. `true`, is a bookmark. `false`, indicated to be a toc.

  Parameters:
    ``isBookmark`` - the bookmark type is toc or not.

### setParameterBindings

    void setParameterBindings(java.util.Map parameterBindings)

  Set a set of name/value pairs for running the target report in a drillthrough link.

  Parameters:
    `parameterBindings` - a set of name/value pairs for running the report in a drillthrough link.

### setSearchCriteria

    void setSearchCriteria(java.util.Map searchCriteria)

  Set a set of name/value pairs for searching the target report in a drillthrough link.

  Parameters:
    `searchCriteria` - a set of name/value pairs for searching the report in a drillthrough link.

### setTargetWindow

    void setTargetWindow(java.lang.String target)

  Set the target window in string format.

  Parameters:
    `target` - the target window.

### setFormat

    void setFormat(java.lang.String format)

  set the format of the output report.

  Parameters:
    `format` - the format of the output report.

### setTargetFileType

    void setTargetFileType(java.lang.String targetFileType)

  Sets the type of target report file for a drill-through action.

  Parameters:
    `targetFileType` - the type of the target file

### getTargetFileType

    java.lang.String getTargetFileType()

  Get the type of the target file.

  Returns:
    the type of the target report file.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.